// import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;
    public okBtn:eui.Button;

    public get skinKey() { return 'RulePanel' }
    public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
        // this.okBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    removeEvents(): void {
        super.removeEvents();
        // this.okBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        // this.ruleLb.text = '当地球日遇上阅读日，让我们一起大声地为地球朗读！\n测一测你更像哪一位书籍中的经典人物呢？\n\n活动时间：4月22日至4月23日\n\n活动说明：每位用户可无限次免费参与测试活动，每参与1次活动即可获得1次抽奖机会，每天每位用户最多可获得5次抽奖机会\n\n奖品说明：\na，书旗小说45天会员\nb，喜马拉雅15天会员\nc，网易蜗牛读书免费7天\nd，爱奇艺阅读7天会员卡\n\n重要声明：\n1、优惠券类奖品的使用规则详见每个优惠券的介绍页\n2、通过非法途径获得奖品的，主办方有权不提供奖品';
        this.ruleLb.text = '活动主题：感恩母亲节 献花赢好礼\n\n活动玩法：\n\n从3种鲜花中选择其中一种给母亲献花，每次献花扣除9积分，点击选择花束后，小女孩手捧鲜花走向母亲，献花成功后直接抽奖，概率出奖，奖品有限，快来参与吧~\n\n活动奖品：\n18积分        概率：30%\n28积分        概率：10%\n38积分        概率：3%\n88积分        概率：2%\n188积分      概率：1%\n\n活动细则：\n\n1.每个会员可使用9积分参与1次游戏，参与后积分不予退回，次数不限。\n\n2.优惠券可在全国屈臣氏实体门店，消费购物结账时，出示相关的中奖奖品券码进行核销兑换。\n\n3.结果以“活动首页-我的奖励”或在屈臣氏“会员中心-积分乐园-兑换记录”中的中奖记录为准。\n\n4.券类奖品的使用规则详见每个优惠券的介绍页。\n\n5.实物类商品请凭券码到屈臣氏门店领取。\n\n6.在本次活动期间，如用户存在任何违反法律、法规、屈臣氏活动规则的行为，包括但不限于作弊得奖、恶意套现等行为，屈臣氏有权取消用户的中奖资格，收回所发奖品，要求用户将已享受的奖品退还屈臣氏，如奖品为实体奖品且用户已拆除外包装无法进行二次销售的，屈臣氏有权按照奖品的市场价格向用户追讨。\n\n7.本次活动规则如有调整，相关变动或调整将即时公布在本活动规则页面。\n\n8.活动期内，如遇兑换异常等不确定情况出现，请在活动结束后10个工作日内致电会员服务热钱：400 830 1310（自付市内话费）。\n\n9.此活动奖品数量有限，概率出奖，先到先得，祝好运～';
    }

    
}